Package org.eclipse.jface.databinding.viewers

## Interface IViewerListProperty<S,​E>

Type Parameters:
  `S` - type of the source object
  `E` - type of the elements in the list

All Superinterfaces:
  `IListProperty<S,​E>`, `IProperty`

All Known Implementing Classes:
  `ViewerListProperty`

    public interface IViewerListProperty<S,​E>
    extends IListProperty<S,​E>

`IListProperty` for observing a JFace viewer

Since:
  1.3
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IViewerObservableList<E>` `observe​(Viewer viewer)` Returns an `IViewerObservableList` observing this list property on the given viewer
`IObservableList<E>` `observe​(S widget)` This method is redeclared to trigger ambiguous method errors that are hidden by a suspected Eclipse compiler bug 536911.

### Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty

`getElementType, getList, listFactory, listFactory, observe, observeDetail, setList, updateList, values`

### Method Detail

#### observe

    IViewerObservableList<E> observe​(Viewer viewer)

Returns an `IViewerObservableList` observing this list property on the given viewer

Parameters:
  `viewer` - the source viewer
Returns:
  an observable list observing this list property on the given viewer

#### observe

    IObservableList<E> observe​(S widget)

This method is redeclared to trigger ambiguous method errors that are hidden by a suspected Eclipse compiler bug 536911. By triggering the bug in this way clients avoid a change of behavior when the bug is fixed. When the bug is fixed this redeclaration should be removed.

Specified by:
  `observe` in interface `IListProperty<S,​E>`
Parameters:
  `widget` - the property source
Returns:
  an observable list observing this list property on the given property source